﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;

namespace PropertyGridReadOnlyTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var example = new ExampleClass();
            details.SelectedObject = example;
            details.CommandExecuting += (sender, args) =>
            {
	            if (args.Command == PropertyGridCommandType.AddListEntry
		            || args.Command == PropertyGridCommandType.RemoveListEntry)
		            args.Cancel = true;
            };
      }
    }

    public class ExampleClass
    {
        public ObservableCollection<string> Strings { get;} = new ObservableCollection<string> { "1", "2", "3" };
        public string StringValue { get; } = "new string";
   }

    public class ListOfStrings : List<String>
    {
    }
}
